## net.dontdrinkandroot.lastfm.api.model
Class Affiliation

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.LfmEntity
          net.dontdrinkandroot.lastfm.api.model.Affiliation

All Implemented Interfaces:
  java.io.Serializable, BuyLinkEntity, Entity, IsSearchEntity, PriceEntity, SupplierIconEntity, SupplierNameEntity

    public class Affiliation

extends LfmEntity
implements SupplierNameEntity, PriceEntity, BuyLinkEntity, SupplierIconEntity, IsSearchEntity

See Also:
  Serialized Form

Constructor Summary
`Affiliation(org.w3c.dom.Element element)`

Method Summary
`java.net.URL` `getBuyLink()`
`Price` `getPrice()`
`java.net.URL` `getSupplierIcon()`
`java.lang.String` `getSupplierName()`
`java.lang.Boolean` `isSearch()`
`void` `setBuyLink(java.net.URL buyLink)`
`void` `setPrice(Price price)`
`void` `setSearch(java.lang.Boolean search)`
`void` `setSupplierIcon(java.net.URL supplierIcon)`
`void` `setSupplierName(java.lang.String supplierName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Affiliation

    public Affiliation(org.w3c.dom.Element element)

Method Detail

### isSearch

    public java.lang.Boolean isSearch()

  Specified by:
    `isSearch` in interface `IsSearchEntity`

### setSearch

    public void setSearch(java.lang.Boolean search)

  Specified by:
    `setSearch` in interface `IsSearchEntity`

### getSupplierIcon

    public java.net.URL getSupplierIcon()

  Specified by:
    `getSupplierIcon` in interface `SupplierIconEntity`

### setSupplierIcon

    public void setSupplierIcon(java.net.URL supplierIcon)

  Specified by:
    `setSupplierIcon` in interface `SupplierIconEntity`

### getBuyLink

    public java.net.URL getBuyLink()

  Specified by:
    `getBuyLink` in interface `BuyLinkEntity`

### setBuyLink

    public void setBuyLink(java.net.URL buyLink)

  Specified by:
    `setBuyLink` in interface `BuyLinkEntity`

### getPrice

    public Price getPrice()

  Specified by:
    `getPrice` in interface `PriceEntity`

### setPrice

    public void setPrice(Price price)

  Specified by:
    `setPrice` in interface `PriceEntity`

### getSupplierName

    public java.lang.String getSupplierName()

  Specified by:
    `getSupplierName` in interface `SupplierNameEntity`

### setSupplierName

    public void setSupplierName(java.lang.String supplierName)

  Specified by:
    `setSupplierName` in interface `SupplierNameEntity`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.